Services
========

.. contents:: :local:

CloudService
------------
.. autoclass:: cloudbridge.interfaces.services.CloudService
    :members:

ComputeService
--------------
.. autoclass:: cloudbridge.interfaces.services.ComputeService
    :members:

InstanceService
---------------
.. autoclass:: cloudbridge.interfaces.services.InstanceService
    :members:

VolumeService
-------------
.. autoclass:: cloudbridge.interfaces.services.VolumeService
    :members:

SnapshotService
---------------
.. autoclass:: cloudbridge.interfaces.services.SnapshotService
    :members:

StorageService
--------------
.. autoclass:: cloudbridge.interfaces.services.StorageService
    :members:

ImageService
------------
.. autoclass:: cloudbridge.interfaces.services.ImageService
    :members:

NetworkingService
-----------------
.. autoclass:: cloudbridge.interfaces.services.NetworkingService
    :members:

NetworkService
--------------
.. autoclass:: cloudbridge.interfaces.services.NetworkService
    :members:

SubnetService
-------------
.. autoclass:: cloudbridge.interfaces.services.SubnetService
    :members:

FloatingIPService
-----------------
.. autoclass:: cloudbridge.interfaces.subservices.FloatingIPSubService
    :members:

RouterService
-------------
.. autoclass:: cloudbridge.interfaces.services.RouterService
    :members:

GatewayService
--------------
.. autoclass:: cloudbridge.interfaces.subservices.GatewaySubService
    :members:

BucketService
-------------
.. autoclass:: cloudbridge.interfaces.services.BucketService
    :members:

SecurityService
---------------
.. autoclass:: cloudbridge.interfaces.services.SecurityService
    :members:

KeyPairService
--------------
.. autoclass:: cloudbridge.interfaces.services.KeyPairService
    :members:

VMFirewallService
-----------------
.. autoclass:: cloudbridge.interfaces.services.VMFirewallService
    :members:

VMTypeService
--------------------
.. autoclass:: cloudbridge.interfaces.services.VMTypeService
    :members:

RegionService
-------------
.. autoclass:: cloudbridge.interfaces.services.RegionService
    :members:

DnsService
----------
.. autoclass:: cloudbridge.interfaces.services.DnsService
    :members:

DnsZoneService
--------------
.. autoclass:: cloudbridge.interfaces.services.DnsZoneService
    :members:

DnsRecordService
----------------
.. autoclass:: cloudbridge.interfaces.services.DnsRecordService
    :members: